%define version 1.2
%define release %mkrel 16
%define fname id3-py
%define oname ID3

Name: python-%oname
Version: %{version}
Release: %{release}
Source0: http://id3-py.sourceforge.net/%{fname}_%{version}.tar.bz2
Summary: Python module for manipulating ID3 information tags on MP3 audio files
License: GPLv2+
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Url: http://id3-py.sourceforge.net
Requires: python
BuildRequires: python-devel >= %{pyver}
BuildArch: noarch

%description
This is a simple Python module for retrieving and setting so-called ID3
tags on MP3 compressed audio files through an object-oriented interface.
MP3 players generally use this simple information for display track title,
artist name, and album title while playing the sound file.

%prep
%setup -q -n %fname-%version

%build
#python -c "import ID3"
python setup.py build
%install
rm -rf %buildroot
python setup.py install --root %buildroot

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYING README id3-tagger.py
%py_puresitedir/ID3.py*
%py_puresitedir/*.egg-info




%changelog
* Wed Nov 03 2010 Götz Waschk <waschk@mandriva.org> 1.2-16mdv2011.0
+ Revision: 592878
- rebuild for new python 2.7

* Thu Sep 16 2010 Götz Waschk <waschk@mandriva.org> 1.2-15mdv2011.0
+ Revision: 578822
- fix file list
- update license

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.2-14mdv2010.0
+ Revision: 442184
- rebuild

* Sun Dec 28 2008 Götz Waschk <waschk@mandriva.org> 1.2-13mdv2009.1
+ Revision: 320639
- rebuild for new python

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 1.2-12mdv2009.0
+ Revision: 259646
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 1.2-11mdv2009.0
+ Revision: 247473
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.2-9mdv2008.1
+ Revision: 136450
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Jan 31 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.2-9mdv2007.0
+ Revision: 115769
- Rebuild against new python
- Import python-ID3

* Fri Jul 21 2006 Götz Waschk <waschk@mandriva.org> 1.2-1mdv2007.0
- Rebuild

* Wed Dec 07 2005 Götz Waschk <waschk@mandriva.org> 1.2-7mdk
- Rebuild
- use mkrel

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 1.2-6mdk
- Rebuild for new python

* Sat Sep 04 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2-5mdk
- add source URL

